summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2008-05-17 19:55:06 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2008-05-17 19:55:06 +0000
commitc9f6c8a89dbbfd4178d8c097f4f91a344e71d6f0 (patch)
tree6bb0475d4ffd0b57faa90b04b2f96cf16e62d69f
parent4209bffde9b7dc5044a0b293873347fe5734e908 (diff)
parent541b9cb7c4a88f951a82b3fdadbd1e04806679be (diff)
merge of '011ea838b318e8da2d5c0f2a9d9a8a41c2096ceb'
and 'ed0aa1600b77c27c385bdb61f6e9728aa499015b'
-rw-r--r--conf/machine/include/tune-mips2.inc1
-rw-r--r--conf/machine/rb500.conf3
-rw-r--r--conf/machine/wl500g.conf2
-rw-r--r--conf/machine/wrt54.conf3
4 files changed, 5 insertions, 4 deletions
diff --git a/conf/machine/include/tune-mips2.inc b/conf/machine/include/tune-mips2.inc
new file mode 100644
index 0000000000..b10d65f23d
--- /dev/null
+++ b/conf/machine/include/tune-mips2.inc
@@ -0,0 +1 @@
+TARGET_CC_ARCH = "-mips2"
diff --git a/conf/machine/rb500.conf b/conf/machine/rb500.conf
index e17ca31bcb..30676b2fc4 100644
--- a/conf/machine/rb500.conf
+++ b/conf/machine/rb500.conf
@@ -3,5 +3,6 @@
#@DESCRIPTION: Machine configuration for the MIPS based Routerboard
TARGET_ARCH = "mipsel"
-TARGET_CC_ARCH = "-Os -mips2"
PREFERRED_PROVIDER_virtual/kernel = "linux-rb500"
+
+include conf/machine/include/tune-mips2.inc
diff --git a/conf/machine/wl500g.conf b/conf/machine/wl500g.conf
index f2e4006a8f..5ed227dfa3 100644
--- a/conf/machine/wl500g.conf
+++ b/conf/machine/wl500g.conf
@@ -5,4 +5,4 @@
TARGET_ARCH = "mipsel"
MACHINE_FEATURES = "kernel26 usbhost wifi ext2"
-TARGET_CC_ARCH = "-Os -mips2"
+include conf/machine/include/mips2.inc
diff --git a/conf/machine/wrt54.conf b/conf/machine/wrt54.conf
index f61570a950..1b07df2666 100644
--- a/conf/machine/wrt54.conf
+++ b/conf/machine/wrt54.conf
@@ -3,7 +3,6 @@
#@DESCRIPTION: Machine configuration for the MIPS based WRT54G(S) devices
TARGET_ARCH = "mipsel"
-TARGET_CC_ARCH = "-Os"
SERIAL_CONSOLE = "tts/0"
@@ -31,4 +30,4 @@ INHERIT += "wrt-image"
# strip even more:
# would be nice but breaks automatic shared library dependencies
#DEPENDS_prepend = "${@["elfkickers-native ", ""][(bb.data.getVar('PACKAGES', d, 1) == '')]}"
-#export STRIP = "sstrip" \ No newline at end of file
+#export STRIP = "sstrip"
'/> -rw-r--r--packages/gcc/gcc-4.3.0/debian/alpha-ieee-doc.dpatch44
-rw-r--r--packages/gcc/gcc-4.3.0/debian/alpha-ieee.dpatch57
-rw-r--r--packages/gcc/gcc-4.3.0/debian/alpha-no-ev4-directive.dpatch49
-rw-r--r--packages/gcc/gcc-4.3.0/debian/arm-unbreak-eabi-armv4t.dpatch36
-rw-r--r--packages/gcc/gcc-4.3.0/debian/boehm-gc-getnprocs.dpatch39
-rw-r--r--packages/gcc/gcc-4.3.0/debian/boehm-gc-nocheck.dpatch37
-rw-r--r--packages/gcc/gcc-4.3.0/debian/config-ml.dpatch94
-rw-r--r--packages/gcc/gcc-4.3.0/debian/cpu-default-i486.dpatch37
-rw-r--r--packages/gcc/gcc-4.3.0/debian/cross-fixes.dpatch129
-rw-r--r--packages/gcc/gcc-4.3.0/debian/cross-include.dpatch39
-rw-r--r--packages/gcc/gcc-4.3.0/debian/deb-protoize.dpatch47
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-d-lang.dpatch246
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-driver-extra-langs.dpatch40
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-hash-style-both.dpatch163
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-hash-style-gnu.dpatch163
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-i386-emit-cld.dpatch179
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-ice-apport.dpatch44
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-ice-hack.dpatch331
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-multilib64dir.dpatch62
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-pascal-lang.dpatch726
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-ssp-default.dpatch209
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gcc-textdomain.dpatch103
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gdc-fix-build-kbsd-gnu.dpatch87
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gpc-4.1.dpatch28
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gpc-gcc-4.x.dpatch32
-rw-r--r--packages/gcc/gcc-4.3.0/debian/gpc-names.dpatch117
-rw-r--r--packages/gcc/gcc-4.3.0/debian/hurd-changes.dpatch72
-rw-r--r--packages/gcc/gcc-4.3.0/debian/ignore-comp-fail.dpatch38
-rw-r--r--packages/gcc/gcc-4.3.0/debian/kbsd-gnu-ada.dpatch231
-rw-r--r--packages/gcc/gcc-4.3.0/debian/kbsd-gnu.dpatch99
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libffi-configure.dpatch45
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-armel-ldflags.dpatch38
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-debuginfo.dpatch43
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-disable-static.dpatch45
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-jar.dpatch227
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-jnipath.dpatch94
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-loading-constraints.dpatch431
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-nobiarch-check.dpatch44
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-realloc-leak.dpatch79
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-rpath.dpatch49
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-sjlj.dpatch65
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-soname.dpatch34
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-stacktrace.dpatch70
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-subdir.dpatch246
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libjava-xulrunner1.9.dpatch41
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libobjc-gc-link.dpatch73
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libssp-gnu.dpatch52
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libstdc++-doclink.dpatch51
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libstdc++-pic.dpatch71
-rw-r--r--packages/gcc/gcc-4.3.0/debian/libstdc++-symbols-hppa.dpatch369
-rw-r--r--packages/gcc/gcc-4.3.0/debian/link-libs.dpatch157
-rw-r--r--packages/gcc/gcc-4.3.0/debian/mips-triarch.dpatch61
-rw-r--r--packages/gcc/gcc-4.3.0/debian/mudflap-nocheck.dpatch36
-rw-r--r--packages/gcc/gcc-4.3.0/debian/multiarch-include.dpatch138
-rw-r--r--packages/gcc/gcc-4.3.0/debian/multiarch-lib.dpatch52
-rw-r--r--packages/gcc/gcc-4.3.0/debian/note-gnu-stack.dpatch316
-rw-r--r--packages/gcc/gcc-4.3.0/debian/powerpc-biarch.dpatch47
-rw-r--r--packages/gcc/gcc-4.3.0/debian/ppc64-ada.dpatch257
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr24170.dpatch88
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr27880.dpatch90
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr28102.dpatch45
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr28322.dpatch151
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr30961.dpatch179
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr33148.dpatch94
-rw-r--r--packages/gcc/gcc-4.3.0/debian/pr34571.dpatch63
-rw-r--r--packages/gcc/gcc-4.3.0/debian/rename-info-files.dpatch710
-rw-r--r--packages/gcc/gcc-4.3.0/debian/s390-biarch.dpatch36
-rw-r--r--packages/gcc/gcc-4.3.0/debian/sparc-biarch.dpatch80
-rw-r--r--packages/gcc/gcc-4.3.0/debian/svn-class-updates.dpatch55
-rw-r--r--packages/gcc/gcc-4.3.0/debian/svn-doc-updates.dpatch79
-rw-r--r--packages/gcc/gcc-4.3.0/debian/svn-gdc-updates.dpatch137
-rw-r--r--packages/gcc/gcc-4.3.0/debian/svn-updates.dpatch569584
-rw-r--r--packages/gcc/gcc-4.3.0/debian/template.dpatch33
86 files changed, 588763 insertions, 0 deletions
diff --git a/packages/gcc/gcc-4.3.0/debian/.mtn2git_empty b/packages/gcc/gcc-4.3.0/debian/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/gcc/gcc-4.3.0/debian/.mtn2git_empty
diff --git a/packages/gcc/gcc-4.3.0/debian/ada-acats.dpatch b/packages/gcc/gcc-4.3.0/debian/ada-acats.dpatch
new file mode 100644
index 0000000000..fc25bf901f
--- /dev/null
+++ b/packages/gcc/gcc-4.3.0/debian/ada-acats.dpatch
@@ -0,0 +1,78 @@
+#! /bin/sh -e
+
+# DP: - When running the ACATS, look for the gnat tools in their new
+# DP: directory (build/gnattools), and for the shared libraries in
+# DP: build/gcc/ada/rts, build/libgnatvsn and build/libgnatprj.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+--- gcc/testsuite/ada/acats/run_acats~
++++ gcc/testsuite/ada/acats/run_acats 2006-04-22 08:57:50.933824704 +0200
+@@ -11,23 +11,42 @@
+ host_gnatmake=`type gnatmake | awk '{print $3}'`
+ ROOT=`${PWDCMD-pwd}`
+ BASE=`cd $ROOT/../../..; ${PWDCMD-pwd}`
+-
+-PATH=$BASE:$ROOT:$PATH
+-ADA_INCLUDE_PATH=$BASE/ada/rts
++GNATTOOLS=`cd $BASE/../gnattools; ${PWDCMD-pwd}`
++LIBGNATVSN=`cd $BASE/../libgnatvsn; ${PWDCMD-pwd}`
++LIBGNATPRJ=`cd $BASE/../libgnatprj; ${PWDCMD-pwd}`
++
++PATH=$GNATTOOLS:$BASE:$ROOT:$PATH
++ADA_INCLUDE_DIR=$BASE/ada/rts
++ADA_INCLUDE_PATH=$ADA_INCLUDE_DIR:$LIBGNATVSN:$LIBGNATPRJ
+ LD_LIBRARY_PATH=$ADA_INCLUDE_PATH:$BASE:$LD_LIBRARY_PATH
+ ADA_OBJECTS_PATH=$ADA_INCLUDE_PATH
+
+-if [ ! -d $ADA_INCLUDE_PATH ]; then
++if [ ! -d $ADA_INCLUDE_DIR ]; then
+ echo gnatlib missing, exiting.
+ exit 1
+ fi
+
+-if [ ! -f $BASE/gnatchop ]; then
++if [ ! -d $GNATTOOLS ]; then
++ echo gnattools missing, exiting.
++ exit 1
++fi
++
++if [ ! -d $LIBGNATVSN ]; then
++ echo libgnatvsn missing, exiting.
++ exit 1
++fi
++
++if [ ! -d $LIBGNATPRJ ]; then
++ echo libgnatprj missing, exiting.
++ exit 1
++fi
++
++if [ ! -f $GNATTOOLS/gnatchop ]; then
+ echo gnattools missing, exiting.
+ exit 1
+ fi
+
+-if [ ! -f $BASE/gnatmake ]; then
++if [ ! -f $GNATTOOLS/gnatmake ]; then
+ echo gnattools missing, exiting.
+ exit 1
+ fi
diff --git a/packages/gcc/gcc-4.3.0/debian/ada-alpha.dpatch b/packages/gcc/gcc-4.3.0/debian/ada-alpha.dpatch
new file mode 100644
index 0000000000..1e2c47d670
--- /dev/null
+++ b/packages/gcc/gcc-4.3.0/debian/ada-alpha.dpatch
@@ -0,0 +1,88 @@
+#! /bin/sh -e
+
+# DP: Fix GNAT on alpha.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+2008-04-01 Aurelien Jarno <aurelien@aurel32.net>
+
+ * s-osinte-linux-alpha.ads (SC_NPROCESSORS_ONLN): New constant
+ for sysconf call.
+ (bit_field): New packed boolean type used by cpu_set_t.
+ (cpu_set_t): New type corresponding to the C type with
+ the same name. Note that on the Ada side we use a bit
+ field array for the affinity mask. There is not need
+ for the C macro for setting individual bit.
+ (pthread_setaffinity_np): New imported routine.
+
+Index: gcc/ada/s-osinte-linux-alpha.ads
+===================================================================
+--- gcc/ada/s-osinte-linux-alpha.ads (révision 133772)
++++ gcc/ada/s-osinte-linux-alpha.ads (copie de travail)
+@@ -237,6 +237,7 @@
+ pragma Import (C, sysconf);
+
+ SC_CLK_TCK : constant := 2;
++ SC_NPROCESSORS_ONLN : constant := 84;
+
+ -------------------------
+ -- Priority Scheduling --
+@@ -268,6 +269,7 @@
+
+ type Thread_Body is access
+ function (arg : System.Address) return System.Address;
++ pragma Convention (C, Thread_Body);
+
+ function Thread_Body_Access is new
+ Unchecked_Conversion (System.Address, Thread_Body);
+@@ -448,12 +450,31 @@
+ pragma Import (C, pthread_getspecific, "pthread_getspecific");
+
+ type destructor_pointer is access procedure (arg : System.Address);
++ pragma Convention (C, destructor_pointer);
+
+ function pthread_key_create
+ (key : access pthread_key_t;
+ destructor : destructor_pointer) return int;
+ pragma Import (C, pthread_key_create, "pthread_key_create");
+
++ CPU_SETSIZE : constant := 1_024;
++
++ type bit_field is array (1 .. CPU_SETSIZE) of Boolean;
++ for bit_field'Size use CPU_SETSIZE;
++ pragma Pack (bit_field);
++ pragma Convention (C, bit_field);
++
++ type cpu_set_t is record
++ bits : bit_field;
++ end record;
++ pragma Convention (C, cpu_set_t);
++
++ function pthread_setaffinity_np
++ (thread : pthread_t;
++ cpusetsize : size_t;
++ cpuset : access cpu_set_t) return int;
++ pragma Import (C, pthread_setaffinity_np, "__gnat_pthread_setaffinity_np");
++
+ private
+
+ type sigset_t is record
diff --git a/packages/gcc/gcc-4.3.0/debian/ada-default-project-path.dpatch b/packages/gcc/gcc-4.3.0/debian/ada-default-project-path.dpatch
new file mode 100644
index 0000000000..b3283d75f3
--- /dev/null
+++ b/packages/gcc/gcc-4.3.0/debian/ada-default-project-path.dpatch
@@ -0,0 +1,147 @@
+#! /bin/sh -e
+
+# DP: - Change the default search path for project files to the one specified
+# DP: by the Debian Policy for Ada: /usr/share/ada/adainclude.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+Index: gcc/ada/Make-lang.in
+===================================================================
+--- gcc/ada/Make-lang.in.orig
++++ gcc/ada/Make-lang.in
+@@ -974,7 +974,7 @@
+ $(ECHO) " S1 : constant String := \"$(ADA_INCLUDE_DIR)/\";" >>tmp-sdefault.adb
+ $(ECHO) " S2 : constant String := \"$(ADA_RTL_OBJ_DIR)/\";" >>tmp-sdefault.adb
+ $(ECHO) " S3 : constant String := \"$(target)/\";" >>tmp-sdefault.adb
+- $(ECHO) " S4 : constant String := \"$(libsubdir)/\";" >>tmp-sdefault.adb
++ $(ECHO) " S4 : constant String := \"/usr/share/ada/adainclude/\";" >>tmp-sdefault.adb
+ $(ECHO) " function Include_Dir_Default_Name return String_Ptr is" >>tmp-sdefault.adb
+ $(ECHO) " begin" >>tmp-sdefault.adb
+ $(ECHO) " return Relocate_Path (S0, S1);" >>tmp-sdefault.adb
+Index: gcc/ada/prj-ext.adb
+===================================================================
+--- gcc/ada/prj-ext.adb.orig
++++ gcc/ada/prj-ext.adb
+@@ -24,7 +24,6 @@
+ ------------------------------------------------------------------------------
+
+ with Hostparm;
+-with Makeutl; use Makeutl;
+ with Output; use Output;
+ with Osint; use Osint;
+ with Sdefault;
+@@ -254,38 +253,10 @@
+
+ -- Set the initial value of Current_Project_Path
+
+- if Add_Default_Dir then
+- declare
+- Prefix : String_Ptr := Sdefault.Search_Dir_Prefix;
+- begin
+- if Prefix = null then
+- Prefix := new String'(Executable_Prefix_Path);
+-
+- if Prefix.all /= "" then
+- if Get_Mode = Ada_Only then
+- Current_Project_Path :=
+- new String'(Name_Buffer (1 .. Name_Len) &
+- Path_Separator &
+- Prefix.all & Directory_Separator & "gnat");
+-
+- else
+- Current_Project_Path :=
+- new String'(Name_Buffer (1 .. Name_Len) &
+- Path_Separator &
+- Prefix.all & Directory_Separator &
+- "share" & Directory_Separator & "gpr");
+- end if;
+- end if;
+-
+- else
+- Current_Project_Path :=
+- new String'(Name_Buffer (1 .. Name_Len) & Path_Separator &
+- Prefix.all &
+- ".." & Directory_Separator &
+- ".." & Directory_Separator &
+- ".." & Directory_Separator & "gnat");
+- end if;
+- end;
++ if Add_Default_Dir and Sdefault.Search_Dir_Prefix /= null then
++ Current_Project_Path :=
++ new String'(Name_Buffer (1 .. Name_Len) & Path_Separator &
++ Sdefault.Search_Dir_Prefix.all);
+ end if;
+
+ if Current_Project_Path = null then
+Index: gcc/ada/gnatls.adb
+===================================================================
+--- gcc/ada/gnatls.adb.orig
++++ gcc/ada/gnatls.adb
+@@ -1622,9 +1622,6 @@
+ declare
+ Project_Path : String_Access := Getenv (Gpr_Project_Path);
+
+- Lib : constant String :=
+- Directory_Separator & "lib" & Directory_Separator;
+-
+ First : Natural;
+ Last : Natural;
+
+@@ -1684,36 +1681,8 @@
+ if Add_Default_Dir then
+ Name_Len := 0;
+ Add_Str_To_Name_Buffer (Sdefault.Search_Dir_Prefix.all);
+-
+- -- On Windows, make sure that all directory separators are '\'
+-
+- if Directory_Separator /= '/' then
+- for J in 1 .. Name_Len loop
+- if Name_Buffer (J) = '/' then
+- Name_Buffer (J) := Directory_Separator;
+- end if;
+- end loop;
+- end if;
+-
+- -- Find the sequence "/lib/"
+-
+- while Name_Len >= Lib'Length
+- and then Name_Buffer (Name_Len - 4 .. Name_Len) /= Lib
+- loop
+- Name_Len := Name_Len - 1;
+- end loop;
+-
+- -- If the sequence "/lib"/ was found, display the default
+- -- directory <prefix>/lib/gnat/.
+-
+- if Name_Len >= 5 then
+- Name_Buffer (Name_Len + 1 .. Name_Len + 4) := "gnat";
+- Name_Buffer (Name_Len + 5) := Directory_Separator;
+- Name_Len := Name_Len + 5;
+- Write_Str (" ");
+- Write_Line
+- (To_Host_Dir_Spec (Name_Buffer (1 .. Name_Len), True).all);
+- end if;
++ Write_Str (" ");
++ Write_Line (Name_Buffer (1 .. Name_Len));
+ end if;
+ end;
+
diff --git a/packages/gcc/gcc-4.3.0/debian/ada-drive